package ru.yandex.direct.infrastructure.mysql.column_types

import org.jetbrains.exposed.sql.Column
import org.jetbrains.exposed.sql.Table
import ru.yandex.direct.domain.client.PassportLogin
import ru.yandex.direct.infrastructure.mysql.column_types.stringWrapper

fun Table.passportLogin(name: String): Column<PassportLogin> =
    stringWrapper(name, ::PassportLogin, PassportLogin::value)
